Ext.ns('wui.swfuploadHandler');
wui.swfuploadHandler.fileQueue = [];

wui.swfuploadHandler.fileQueued = function(file)
{
	wui.swfuploadHandler.fileQueue.push({type: file.type.substring(1), filename: file.name, filesize: file.size, fileid: file.id});
};

wui.swfuploadHandler.fileQueueError = function(file, errorCode, message)
{

    if (errorCode === SWFUpload.QUEUE_ERROR.QUEUE_LIMIT_EXCEEDED) 
    {
        return;
    }
    switch (errorCode)
    {
        case SWFUpload.QUEUE_ERROR.FILE_EXCEEDS_SIZE_LIMIT:
            Ext.MessageBox.alert(generallabels.modifymode.resources.dialog.upload.title, generallabels.modifymode.resources.messages.filesize);
            break;
        case SWFUpload.QUEUE_ERROR.ZERO_BYTE_FILE:
            Ext.MessageBox.alert(generallabels.modifymode.resources.dialog.upload.title, generallabels.modifymode.resources.messages.zerobyte);
            break;
        case SWFUpload.QUEUE_ERROR.INVALID_FILETYPE:
            Ext.MessageBox.alert(generallabels.modifymode.resources.dialog.upload.title, generallabels.modifymode.resources.messages.filetype);
            break;
        default:
            break;
    }
};

wui.swfuploadHandler.fileDialogComplete = function(numFilesSelected, numFilesQueued)
{
	Ext.defer(function () {
		var store = Ext.getStore('swfuploadfiles');
		if(store)
			store.loadData(wui.swfuploadHandler.fileQueue);
    }, 100);
};


wui.swfuploadHandler.uploadStart = function(file)
{
    var bar = Ext.getCmp(file.id + 'pb');
    bar.updateText(generallabels.modifymode.resources.messages.uploading.replace('#', '0'));
    return true;
};

wui.swfuploadHandler.uploadProgress = function(file, bytesLoaded, bytesTotal)
{
    var percentDiv100 = (bytesLoaded / bytesTotal);
    var percent = Math.ceil(percentDiv100 * 100);
    var bar = Ext.getCmp(file.id + 'pb');
    bar.updateProgress(percentDiv100, generallabels.modifymode.resources.messages.uploading.replace('#', percent), false);
};

wui.swfuploadHandler.uploadSuccess = function(file, serverData)
{

    var bar = Ext.getCmp(file.id + 'pb');
    bar.updateText(generallabels.modifymode.resources.messages.uploadfinish);
};

wui.swfuploadHandler.uploadError = function(file, errorCode, message)
{
    var bar = Ext.getCmp(file.id + 'pb');
    switch (errorCode)
    {
        case SWFUpload.UPLOAD_ERROR.HTTP_ERROR:
            bar.updateText(generallabels.modifymode.resources.messages.uploadfailed); //"Upload Error: " + message);
            break;
        case SWFUpload.UPLOAD_ERROR.UPLOAD_FAILED:
            bar.updateText(generallabels.modifymode.resources.messages.uploadfailed);
            break;
        case SWFUpload.UPLOAD_ERROR.IO_ERROR:
            bar.updateText(generallabels.modifymode.resources.messages.uploadfailed);
            break;
        case SWFUpload.UPLOAD_ERROR.SECURITY_ERROR:
            bar.updateText(generallabels.modifymode.resources.messages.uploadfailed);
            break;
        case SWFUpload.UPLOAD_ERROR.UPLOAD_LIMIT_EXCEEDED:
            bar.updateText(generallabels.modifymode.resources.messages.uploadfailed);
            break;
        case SWFUpload.UPLOAD_ERROR.FILE_VALIDATION_FAILED:
            bar.updateText(generallabels.modifymode.resources.messages.uploadfailed);
            break;
        case SWFUpload.UPLOAD_ERROR.FILE_CANCELLED:
            bar.updateText(generallabels.modifymode.resources.messages.uploadfailed);
            break;
        case SWFUpload.UPLOAD_ERROR.UPLOAD_STOPPED:
            bar.updateText(generallabels.modifymode.resources.messages.uploadfailed);
            break;
        default:
            bar.updateText(generallabels.modifymode.resources.messages.uploadfailed); //"Unhandled Error: " + errorCode);
            break;
    }
};

wui.swfuploadHandler.uploadComplete = function(file)
{
    var bar = Ext.getCmp(file.id + 'pb');
    bar.updateText(generallabels.modifymode.resources.messages.uploadfinish);
    if (this.getStats().files_queued === 0) 
    {
        Ext.getCmp('swfMultiUploadWindow').close();
        Ext.getCmp('resourceRefresh').handler();
    }
};

wui.swfuploadHandler.queueComplete = function(numFilesUploaded)
{
	
};
